Name: xmltk
Version:        1.1
Release:        1%{?dist}
Summary:       	XML toolkit
 

Group:          Applications/Text
License:        BSD
URL:		http://xmltk.sourceforge.net/            
Source0:	http://downloads.sourceforge.net/xmltk/%{name}%{version}.tar.gz     
Source1:	http://www.cs.washington.edu/homes/suciu/XMLTK/tutorial.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gcc-c++, flex, bison

%description
XML toolkit is a framework for a light-weight and high performance
XML data stream processing. It is comprised from two fundamental
libraries (XML TSAX parser, XPath processor) and a collection of
simple XML processing commands (that correspond to plain text
processing commands like cat, head, tail, sort, grep and so forth)
built upon those libraries.

Tools included: createSindex  file2xml  xagg  xcat  xdelete  xdetector
xflatten xnest xpair xparse xrun xsort xstat xtail


%prep
%setup -q -n %{name}
mkdir bin

%build
export XMLTKROOT=$RPM_BUILD_DIR/xmltk
make -e %{?_smp_mflags}

%install
export XMLTKROOT=$RPM_BUILD_DIR/xmltk
rm -rf $RPM_BUILD_ROOT
make -e install
%__install -d $RPM_BUILD_ROOT/usr/bin/
for a in $XMLTKROOT/bin/*  ; do
	%__strip $a
	%__install  -p -m 755 $a $RPM_BUILD_ROOT/usr/bin/
done
%__cp $XMLTKROOT/file2xml/README README-file2xml
%__cp $XMLTKROOT/xagg/README README-xagg
%__cp $XMLTKROOT/xpathDFA/README README-xpathDFA
%__cp $XMLTKROOT/xtail/README README-xtail
%__cp %{SOURCE1} $XMLTKROOT/
%__chmod a-x ChangeLog


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc IMPLEMETATION LICENSE ChangeLog README-file2xml README-xagg README-xpathDFA README-xtail 
%doc tutorial.txt
/usr/bin/*

%changelog
* Sat Jan 6 2007 Ismael Olea <ismael@olea.org> 1.1-1olea
- First rpm
